Package com.avaya.clientservices.media.gui

## Class VideoYUVFileSource

- java.lang.Object
- - com.avaya.clientservices.media.gui.NativeObject
  - - com.avaya.clientservices.media.gui.VideoSource
    - - com.avaya.clientservices.media.gui.VideoYUVFileSource

- All Implemented Interfaces:
    `Destroyable`, `java.lang.Runnable`

      public class VideoYUVFileSource
      extends VideoSource
      implements java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoYUVFileSource​(java.lang.String filename, int width, int height, int framerate, boolean nv12)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()`
    `void` | `signal()` | Signals the playback thread to exit.
    `void` | `start()` | Start sending video frames to the video sink.
    `void` | `stop()` | Stop sending video frames to the video sink.

    - ### Methods inherited from class com.avaya.clientservices.media.gui.VideoSource

      `destroy, setVideoSink`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoYUVFileSource

          public VideoYUVFileSource​(java.lang.String filename,
                                    int width,
                                    int height,
                                    int framerate,
                                    boolean nv12)

      Constructor.
      Parameters:
        `filename` - the full path to the .yuv file
        `width` - the width of each video frame.
        `height` - the height of each video frame.
        `framerate` - the pace at which to read video frames.
        `nv12` - `true` for NV12, `false` for I420.

  - ### Method Detail

    - #### start

          public void start()

      Start sending video frames to the video sink.

    - #### stop

          public void stop()

      Stop sending video frames to the video sink.

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### signal

          public void signal()

      Signals the playback thread to exit.